Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1203188 - xorg unusable after resume on Lenovo X1 Carbon Gen 3 (2015)
Summary: xorg unusable after resume on Lenovo X1 Carbon Gen 3 (2015)
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11
Version: 21
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-18 11:14 UTC by Rob Gilton
Modified: 2015-12-02 17:42 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 10:13:17 UTC
Type: Bug


Attachments (Terms of Use)
Kernel debug log. (75.56 KB, text/plain)
2015-03-18 11:17 UTC, Rob Gilton
no flags Details
gdm/Xorg log. (99.69 KB, text/plain)
2015-03-18 11:18 UTC, Rob Gilton
no flags Details
lspci output (1.35 KB, text/plain)
2015-03-18 11:18 UTC, Rob Gilton
no flags Details

Description Rob Gilton 2015-03-18 11:14:18 UTC
Description of problem:  After resuming from suspend on my Lenovo X1 Carbon Gen 3 laptop (a.k.a. 2015 edition, a.k.a. hardware rev 20BS-CT01WW), Xorg becomes unusable.  One can move the mouse around, but cannot click on anything.  Sometimes windows will fail to render -- e.g. gnome-terminal may appear as an entirely white box with no text in it.  Becomes usable if Xorg is restarted.

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.16.3-2.fc21.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Suspend laptop.
2. Resume laptop.

Actual results:
Unusable X environment.

Expected results:
Usable X environment.

Comment 1 Rob Gilton 2015-03-18 11:17:52 UTC
Created attachment 1003153 [details]
Kernel debug log.

Comment 2 Rob Gilton 2015-03-18 11:18:17 UTC
Created attachment 1003154 [details]
gdm/Xorg log.

Comment 3 Rob Gilton 2015-03-18 11:18:39 UTC
Created attachment 1003155 [details]
lspci output

Comment 4 Fedora End Of Life 2015-11-04 13:07:33 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2015-12-02 10:13:19 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.